Changelog:
-----------
5.7.4	12.12.2012   
- New: Help Documentation.
- New: Reorganize sub-menu in contexst menu.
- Fixed: Rare exception when expanding topics with LinkLine.
- Fixed: Exception when loading templates. 
- Fixed: Rare exception when rendering the snapshot of presentation slide.
- Fixed: Exception when grafting topicnode in boundary which has no topic.
- Fixed: Map title doesn't update when opening an existed file.
- Fixed: Rare exception when editing flexible line.
- Fixed: Exception when adding opened file as embedded file. 
- Fixed: Group/Ungroup don't work on MapView.
- Fixed: Move commands don't work on MapView.
- Fixed: All of the gradient stops can be removed. 
- Improved: Corrected French translation.

5.7.3	12.03.2012
- New: NovaMind localized into French.
- Fixed: Undoing/redoing changing of a theme would often result in an error.
- Fixed: Exception when removing multiple topics.
- Fixed: Error when changing the theme for a map which contains a callout with reflection.
- Fixed: Rare issue where FlexiTopics become invalid.
- Fixed: Theme change cannot be undone after the automatic save happens.
- Fixed: Copy/pasting of root topic can create corrupted floating topics that cannot be edited or deleted.
- Fixed: Printing from the print preview window always prints the document in portrait and may cut off some parts of document.
- Fixed: NovaMind 4 import failed when importing assigned resources.
- Improved: Improved German translation.
Pro:
- Fixed: Undoing "Create Map From Topic" does not work.
Platinum:
- Fixed: Rare error when using the slides list.

5.7.2	08.02.2012
- Improved: It is now possible to delete topics and shapes with the backspace key in addition to the delete key.
- Fixed: Fixed an issue with timezones in the NovaMind 4 importer.
- Fixed: Documents which contain boundaries and were created on a Mac don't open correctly.
- Fixed: The reflection effect on callouts doesn't work.
- Fixed: Topic notes do not always use the correct font defined in the theme.

5.7.1	30.01.2012
- Fixed: FlexiTopic edit text box uses white background color even when text was white.
Pro: 
- Fixed: In documents with multiple Mind Maps saving would in rare cases not work properly.

5.7.0	23.01.2012	
- New: FlexiTopics enabling more organic looking Mind Maps where text flows on a flexible line.
- New: Ability to set a custom default theme for new Mind Maps.
- New: Format painter to quickly re-use a style from a topic or shape.
- New: New Themes: NovaMind, Draft, Flexible Rainbow and Pinboard.
- New: Themes can now set background style, notes style and boundary styles.
- New: Opacity slider on theme color picker.
- Improved: Reworked built-in themes.
- Improved: Theme thumbnails no longer re-calculate when opening the theme gallery.
- Improved: The layout of topics which have a different layout orientation than their parent is now handled better.
- Improved: Added more keytips on the ribbon.
- Improved: Moved the Background drop down button in Map Design under the Fonts button to save space.
- Improved: When creating a new Mind Map from an existing topic the new Mind Map will use the same theme as the source Mind Map.
- Changed: The 'Default' theme has been renamed to 'Basic'.
- Fixed: Thumbnail images of Mind Maps are not saved correctly in file.
- Fixed: Flexible Line may jump while editing when the auto-save is performed.
- Fixed: Shape and color of attached shapes are reset when resetting a Mind Map to a theme.
- Fixed: Fill color is not set when setting a solid fill color via the Format ribbon tab on a topic which uses an advanced gradient.
- Fixed: Cannot see decimal value on outline stroke width slider.
- Fixed: Link line terminator scale settings of selected link lines reset to 20/20 when opening the format shape window.
Pro:
- New: Create your own Theme.
- New: Create your own Font Sets.
- New: Create your own Color Sets.
- New: Added support for importing relative hyperlinks from MindManager.
- Fixed: NovaMind 4 import did not import task data and checkboxes.
- Fixed: Rare error when importing iMindMap5 files.
Platinum:
- Fixed: Exception in walk-through presentation when "auto collapse" is disabled and "visit all topic" is enabled.
- Fixed: In the presentation slide selector some slides show with a brown background color.

5.6.3	21.11.2011
- Fixed: Cannot print to network printers.
- Improved: Updated Spanish translation.

5.6.2	14.11.2011
- Improved: Show error message when file cannot be opened due to IO error.
- Improved: Color set list now shows current color set.
- Improved: Improved the shadow and reflection rendering efficiency.
- Fixed: Mind Map background does not redraw when changing color set.
- Fixed: Exception when deleting a topic with elbow connectors.
- Fixed: Rainbow color settings and color array settings don't show.
- Fixed: XML malformed exception when trying to print on some printers.
- Fixed: Application freezes when deleting a link lines control point while also dragging it.
- Fixed: Callout using line shape is not correctly rendered.
- Fixed: After saving the document selected topics scroll into view.
Pro:
- Fixed: Sometimes selecting to print all Mind Maps does not print all Mind Maps.
Platinum:
- Fixed: Pressing Enter while editing time in the task information will reset the time value.
- Fixed: Floating topics are not collapsed when starting a presentation.
- Fixed: Floating topics are not collapsed while doing a walkthrough.
- Fixed: Creating a slide which includes the root topic and floating topics does not properly show children.
- Fixed: Sometimes, when switching between Mind Maps during a presentation, the keyboard commands no longer respond.
- Fixed: Occasional exception when creating a slide and the slide list is open.
- Fixed: Starting a presentation while editing a slide can change the slide.
- Fixed: Presentation slides are sometimes unnecessarily redrawn when the topic is expanded.
- Fixed: When using the walkthrough and navigating from a child to its parent, some topics will collapse and then immmediately expand again.

5.6.1	01.11.2011
- Fixed: Printing, in some cases, cuts off the content.
- Fixed: Select All doesn't select floating topics and their sub-topics.
- Fixed: Hitting Return when renaming a Map tab creates a new topic.
- Fixed: Hitting Return in font face or font size textbox in the editing popup creates a new topic.
- Fixed: Cannot select a font face using the keyboard in the font combobox.
- Fixed: Font face doesn't update properly based on selection.
- Fixed: Error when changing topic shape while the text is being edited on the same topic.
- Fixed: When adding multiple topics quickly keyboard navigation and selection is sometimes malfunctioning.
Pro:
- Fixed: Cannot rename map tab when root topic has no text.

5.6.0	27.10.2011
- New: The full screen feature is now also available in the Express edition.
- New: Ability to print the outline of the document.
- New: Ability to define a header and footer when printing.
- New: Keyboard shortcut to show notes window (Ctrl+T).
- New: Keyboard shortcut to switch from topic editing to edit topic notes (Ctrl+") and back (Ctrl+Shift+").
- New: Link to our newsletter subscription page in the Help menu.
- Changed: Removed inherit coloring mode.
- Changed: When copy-grafting a topic the new topic will be selected.
- Fixed: After grafting a topic keyboard navigation and instant text editing doesn't work without re-selecting the topic.
- Fixed: Grafting the only node from the left side to the right side causes the node to re-appear on the left side again.
- Fixed: Print window does not list all supported page sizes.
- Fixed: Welcome screen would show up when opening a Mind Map from the gallery in a new window.
- Fixed: A typo in the welcome Mind Map.
- Fixed: Application crashes when pressing Ctrl+T while editing text.
- Fixed: Some NovaMind 4 files have invalid image references which cause an error when importing.
- Fixed: The opacity of the background image is not imported correctly from NovaMind 4 documents.
- Fixed: Occasional 'Invalid Hook' exception when closing the attachments or hyerplinks popup.
- Fixed: Rare exception when dragging and dropping.
- Fixed: Occasional exception when removing topic 
- Fixed: Layout of children is incorrect when using custom shapes and top-down layout.
- Fixed: In rare cases documents created on the Mac version don't open correctly.
- Fixed: Error when trying to open a file when some other application also reads from it.
- Fixed: Rare exception when closing a Mind Map.
- Fixed: Setting text attributes before writing new text doesn't work.
- Fixed: Cannot close Send Feedback window with the ESC key.
Pro:
- New: Ability to print multiple Mind Maps at once.
- New: Added iMindMap 5 importer.
- New: MindManager importer now supports importing attachments.
- New: MindManager exporter now supports exporting attachments.
- Fixed: When navigating to a different Mind Map using an internal hyperlink the target topic is not properly visible.
- Fixed: In rare cases deleting a Mind Map with both internal and external hyperlinks causes an exception.
- Fixed: Adding a hyperlink no longer adds 'http://' when a file or directory does not exist.
- Fixed: When importing a MindManager file some topic notes are only partially imported.
Platinum:
- New: Export presentation slides as images.
- New: Print presentation slides and print presentation handouts.
- Fixed: Out of memory exception when having a lot of presentation slides in the slides panel.
- Fixed: Root topic may appear selected during a presentation when presenting a document with multiple Mind Maps.
- Fixed: When editing a presentation sometimes the red editing-frame doesn't show up correctly.

5.5.7	11.08.2011
Pro:
- Fixed: Create Mind Map from Topic feature doesn't work.

5.5.6	11.08.2011
- New: Custom shapes for Mind Map elements.
- New: Shadow effect for Mind Map elements.
- New: Reflection effect for Mind Map elements.
- New: NovaMind localized into Traditional Chinese.
- Fixed: Dragging in the ribbon tab background area does not move the window.
- Fixed: PDF export does not work correctly when Mind Map zoom level is not 100%.
- Fixed: When selecting a topic and only some of its sub-topics, grafting removes the sub-topics which were not selected.
- Fixed: Thumbnails are not always updated correctly when saving a document.
- Fixed: In rare cases the print window does not selected a default paper size.
- Changed: Closing operation (Ctrl+W) will now close the window if it only contains an empty document.
Pro:
- Fixed: When creating a new Mind Map from an existing topic, internal links targeting any of the sub-topics of the new map are broken.
- Fixed: When creating a new Mind Map from an existing topic, link lines between sub-topics are lost.

5.5.5	30.06.2011
- Fixed: Editing gradients caused an error when using some non-English culture settings.

5.5.4	29.06.2011
- Fixed: Hot-fix release to fix a deployment issue with 5.5.3

5.5.3	29.06.2011
- New: Advanced gradients can now be used for fill color and on the Mind Map background.
- New: Add internal links between topics.
- Fixed: Rare error when exporting to PDF and the decimal separator of the current culture is a comma.
- Fixed: Error when printing a collapsed topic which uses rainbow coloring.
- Fixed: Deleting a topic with a link line causes an exception.
- Fixed: Minor translation issues in the Spanish translation.
- Fixed: .nm5template file extension is not registered to NovaMind.
- Fixed: Color on Color Array user interface doesn't update when changing color set.
Pro:
- New: Create Mind Map from Topic command in topic context menu.
- Fixed: Exporting a Mind Map to MindManager which has a topic that contains multiple hyperlinks fails.

5.5.2	15.06.2011
- New: Color Array automatic coloring enables you to have sub-topics automatically colored from a list of colors.
- New: Reset Formatting option in the topic context menu enables to reset shape, color and connection line settings to the default.
- New: Reset to Theme option in Theme context menu enables to resest all shapes, colors and connection lines settings to the theme default.
- New: NovaMind 4 import will now import topic shape, topic colors, boundary colors, the map background and rainbow coloring.
- New: Hide Topic Text option in print window.
- Improved: If the callout uses a Cloud shape the connection will now be drawn using a number of smaller clouds.
- Improved: When importing from NovaMind 4, attached shapes will no longer be placed exactly on top of each other but will use a offset instead.
- Fixed: Exception when Collapsing Map and immediately clicking on Focus Topic.
- Fixed: When clicking some of the buttons in the backstage the backstage doesn't close automatically.
- Fixed: Map name in map tabs sometimes have line breaks resulting in the tab to be displayed incorrectly.
- Fixed: Misc fixes to the Gallery.
- Fixed: On the Home tab the Bold, Italics, Underline, and Strikethrough icons are clipped just a little bit across the top.
- Fixed: Mouse handling issues after the text formatting or hyperlink/attachment popup was displayed.
- Fixed: Cannot navigate to search result if search result is in an unopened tab.
- Fixed: Adding a hyperlink that targets a network drive via \\ results in http:// being added to the hyperlink.
Platinum:
- Fixed: Creating a presentation slide when a link line is selected doesn't work.

5.5.1	31.05.2011
- New: Additional shapes: Parallelogram Left, Parallelogram Right, Arrow Left, Arrow Right and Cloud.
- New: Cloud boundary shape.
- New: PDF export.
- New: Office 2010 style application menu.
- New: Easy access to recent folders from the application menu.
- New: Ability to create a new document from an existing document.
- New: Ability to export a document as a template.
- New: Easy access to templates in the New menu.
- New: Access to example mind maps through the gallery.
- New: Update can now be installed after exiting the application.
- New: Update notification window provides information on the new version and the download size.
- New: Added menu item to manually check for updates. (application will still automatically check on start up)
- New: Added Tutorials and Documentation button to the help menu.
- New: Map tabs will now show a thumbnail of the map in the tooltip.
- New: Thumbnails of Mind Maps will now be stored in the file.
- New: Added ability to Quick Print the mind map.
- Improved: Reworked topic shape gallery and shape format window.
- Improved: Rewritten the Topic Shape and Boundary galleries on the Format tab to be more understandable and useful.
- Improved: The context menu for enclosed topics images has now all the options for the topic as well.
- Improved: The default boundary shape is now a rounded outline boundary.
- Improved: The topics dash style is no longer applied to the radial topic connector.
- Improved: Added ability to retry the installation of the media library in case of failure.
- Improved: Better status and error messages when installing the media library.
- Improved: The NovaMind splash screen will no longer steal keyboard focus.
- Improved: When editing topic text the caret will no longer be underneath the translucent scroll bars.
- Improved: Chinese translation.
- Improved: Disable shape setting when selecting a boundary.
- Improved: Exporting map to PNG will now add a margin around the maps content.
- Improved: When updating, the installer will now respect a custom installation directory.
- Improved: Duration in task data can now be a decimal value.
- Fixed: Installer won't use the previous installation when updating the application.
- Fixed: Sometimes the topic notes icon is note removed when deleting all text.
- Fixed: Boundary Shape button for currently selected type is not checked.
- Fixed: When typing on topic NovaMind no longer makes sure that the caret is visible on the map.
- Fixed: Cannot select floating topic via keyboard navigation.
- Fixed: Rare exception when zoom/scroll animation is still underway and the Map is closed.
- Fixed: Connector is not shown if topic doesn't draw the outline.
- Fixed: Occasional exception when showing the context menu for topics.
- Fixed: Occasional null reference exception in find/replace feature.
- Fixed: Rare exception when grafting topics.
- Fixed: When removing an image from a topic with no text, the topic is deleted even when the topic has sub-topics.
- Fixed: When undoing dragging an image from a shape to a topic the image disappears.
- Fixed: Printing threw an exception when printing a line where the thickness is not a whole number and when using a solid line style.
- Fixed: When opening additional NovaMind windows the color picker of the new window would use the color set from the first window.
- Fixed: Cannot create hyperlink on topic by dragging and dropping from Internet Explorer 9.
- Fixed: Importing a non-UTF-8 encoded text file occasionally fails.
Platinum:
- Improved: Tweets in the intro are slightly smaller giving better results in low resolutions.
- Fixed: The topic notes have different paragraph spacing when in presentation mode.

5.5.0	01.04.2011
- New: Added buttons to conveniently access side bar panels on the View ribbon tab.
- Changed: Dragging images on to a topic will no longer bring the topic into view. This makes working with large shapes much easier.
- Updated: the Welcome Mind Map to include the new keyboard short cuts.
- Improved: Decreased the paragraph spacing of the topic notes.
- Improved: Massive performance improvement when importing NovaMind 4 files with a lot of text.
- Improved: Spanish translation.
- Fixed: When side bar panel is active, clicking on the bottom-right icon of the panel doesn't close the panel.
- Fixed: Side bar panel failed to show when trying to show it while it was in the process of sliding out.
- Fixed: Minor memory leak when expanding/collapsing topics.
- Fixed: Link lines are deselected after print or print preview.
- Fixed: When exporting as image, link lines are exported with the selection visible.
- Fixed: Unable to close Print Preview window via ESC key.
- Fixed: Incorrect layout when setting the layout angle to either exactly 45 or 135 degrees.
- Fixed: Occasional exception when using the move right command in the outline view.
- Fixed: Modifying the hierarchy from outline view would take the focus from outline view
- Fixed: Glassy effect doesn't draw correctly on an oval shaped callout topic.
- Fixed: Disabling the Spell Check under Options does not disable spell checking for topic notes.
- Fixed: NovaMind 4 imports does often not import topic notes correctly.
- Fixed: NovaMind 4 imports does not import some bold and italic settings on text.
- Fixed: Control+Enter doesn't create a new paragraph on topic.
- Fixed: When trying to set format on text on multiple paragraphs or lines, it is only set on the first.
- Fixed: Typing on the selected topic doesn't turn it into editing mode sometimes.
- Fixed: Rare exception when typing text on a large Mind Map.
Pro:
- Improved: You can now hold down the Ctrl key while activating the Full screen view to prevent the window from maximizing.
- Fixed: Restoring a maximized Window in full screen mode doesn't end full screen mode.
- Fixed: MindManager import is saying MindManager 7/8 in file open dialog.
- Fixed: Exported PowerPoint file requires to be repaired by PowerPoint.
Platinum:
- New: NovaMind 5 Presenter - Give presentations right within NovaMind. 
- New: Presenter Walkthrough feature to give ad-hoc presentations.
- Fixed: When exporting to MS Project the resulting XML uses an incorrect namespace.

5.4.0	22.02.2011
- New: Expand/Collapse children using the Level of Detail command. (Ctrl+D)
- New: Show 1 Level will show only the first level of sub-topics. (Shift+Alt+1)
- New: Show 2 Levels will show only the first two levels of sub-topics. (Shift+Alt+2)
- New: Show All Levels will show only the first two levels of sub-topics. (Shift+Alt+.)
- New: Allow to Collapse a Topic on the ribbon and via shortcut. (Shift+Alt+,)
- New: Focus on Topic feature. (Shift+Alt+D)
- New: Collapse Map feature. (Shift+Alt+M)
- New: Topics now animate on the mind map.
- New: Added ability to turn off spell checking in Options.
- New: You can now easily drop images as attached image shapes.
- New: Find/Replace text on topic text and notes.
- Improved: Topics and shape which only have images but no text no longer show the empty space for the text.
- Improved: Automatic color algorithm deals better with partially transparent texture images.
- Improved: OPML import supports importing topic notes via the _note attribute.
- Improved: OPML export will export topic notes to the _note attribute.
- Improved: When changing the selected map the new map will fade in.
- Improved: Enable collapsing of the Mind Map title.
- Fixed: When the mouse leaves the topic, the drop adorner disappears while the mouse is still over the adorner.
- Fixed: Double clicking the top left of the window only closes the window after an additional click.
- Fixed: Switching theme from business to presentation when using outline numbers may cause exception.
- Fixed: The resizer of the image on the right is not correct if there are images on both left and top/bottom.
- Fixed: Setting NoFill still causes the texture to draw.
- Fixed: Pasted images in topic notes are not saved.
- Fixed: When editing right-to-left language text for the second time, the flow direction of the text is reversed.
- Fixed: Occasional 'The given key is not in the Dictionary' exception when grafting/expanding/adding/deleting topic with outline number.
- Fixed: Sometimes the fit to Window command leaves the map partially shown.
- Fixed: When first moving a floating topic it moves slightly.
- Fixed: When importing a file, if there is only one first level topic it is put on the left side of the main topic.
- Fixed: Null reference exception when changing topic shape from Line to other types for the newly created topics with glass effect.
- Fixed: Rare error when context menu closes.
- Fixed: Children Inherit Fill/Line/Shape Settings is not working when set on floating or callout topics.
- Fixed: Cannot close the Options window by pressing ESC.
Pro:
- New: Full screen view mode with auto-hiding ribbon and status bar. (F11)
- Fixed: Custom outline numbering format are not working when set on floating or callout topics.
Platinum:
- Improved: Filter invalid characters from the resource name when exporting to MS Project.
- Fixed: Often the start and finish date is not properly exported to MS Project.
- Fixed: When a task has a resource assigned the export causes the task start and end date to be reset.

5.3.2	19.11.2010
- Improved: It is now possible to paste/graft to a collapsed topic.
- Fixed: Pressing Insert while editing a topic does not create a sub-topic.
- Fixed: Some mind maps using elbow connectors do not open correctly.
- Fixed: Collapsing topics with collapsed children causes exception.
- Fixed: Grafting topic to itself makes the topic disappear.
- Fixed: Collapsing topics which contain link lines sometimes causes exception.
- Fixed: It is difficult to move mouse over the graft/move icons when topic has a boundary.

5.3.1	18.11.2010
- Fixed: Exception when loading and displaying a file where a text hyperlink contains a line break.
- Fixed: Rare exception when wrapping a text hyperlink to a new line.
- Fixed: Parts of a text hyperlink do not work correctly in right-to-left languages.
- Fixed: The text on some topics are missing from the printout.
- Fixed: Rare issues where topics would be marked as moved when they haven't been moved.
- Fixed: Selecting a theme font doesn't refresh the display.
- Fixed: Reading and setting a font size including decimals is incorrect if the current culture doesn't use . as the decimal symbol.

5.3.0	15.11.2010
- Improved: MAJOR performance improvements, especially when working with larger Maps.
- Improved: More responsive typing experience when editing topics on larger Mind Maps.
- New: Feature to Fit Map To Window (<Ctrl>+<End>)
- New: Keyboard shortcut <Ctrl>+<0> will set the zoom level to 100%.
- Changed: Keyboard shortcut for arranging sub-topics changed from <Ctrl>+<0> to <Ctrl>+<|> (pipe)
- New: When editing text the inner image resize bars are now visible if images are present.
- Improved: Better behaviour when resizing topics.
- Improved: Collapsing/Expanding topics no longer removes custom layout location of siblings.
- Improved: Outline number will now use the color of the first character on the topic.
- Improved: When restoring files, each file is restored in a separate window.
- Improved: Automatically repairing .nm5 files (file version 3 or smaller) which were created with zip libraries that don't properly support Unicode filenames.
- Improved: The dark gray drag and drop overlay now looks nicer on non-rectangular shapes.
- Improved: Chinese translation.
- Changed: The Font face and size combo boxes no longer preview the changes on mouse over.
- Fixed: When changing the size of the top or bottom image using the image resize bars, the topic is also resized.
- Fixed: When entering a font size with the keyboard the change is often reverted.
- Fixed: Cannot start typing on topic when the first character is a number.
- Fixed: Callouts sometimes don't print correctly.
- Fixed: Link lines is sometimes cut off when printing or exporting.
- Fixed: Automatic coloring sometimes doesn't print correctly.
- Fixed: Rare crash when using the File/Exit command.
- Fixed: Cancel a Save when using File/Exit does not cancel the exit operation.
- Fixed: Some files created on the Mac (preview) version do not open correctly.
- Fixed: Pasting image on topic is not working.
- Fixed: Insert ribbon has a label saying Child instead of Subtopic.
- Fixed: In rare situations the boundary shape is incorrect.
- Fixed: In rare circumstances (involving custom layout location and custom layout angle) topics keep moving down when layout is performed.
- Fixed: Occasional exception when editing a link line.
- Fixed: Hyperlink is prefixed with http:// when it should not.
- Fixed: Changes to the printer settings are written back to the printer and thus affect other applications.
- Fixed: It is possible to create nested hyperlinks.
- Fixed: Cannot start editing on a topic when typing a number.
- Fixed: pressing Home, End, PageUp, PageDown scrolls the map view..
- Fixed: Exception when closing a Map while the zoom is animating.
- Changed: The default size for top and bottom images and for attached image shapes is now based on the largest dimension of the image.
Pro:
- New: Added basic iMindMap importer.
- Fixed: Problems attaching files and images with Unicode filenames.
- Fixed: In some circumstances the MindManager exporter doesn't work correctly.
- Fixed: When working with multiple Mind Maps within a document the context menu will have multiple 'Add' entries.
- Fixed: Copy/paste topics which include link lines across maps within the same document creates an invalid file.
Platinum:
- Fixed: Assigned resources are not copied when copying a whole map into a different document.
- Fixed: Task panels on Mind Map are sometimes cut off when printing.

5.2.3	30.08.2010
- Improved: The media library category filter is now collapsible giving the media library more space.
- Improved: The media library will now remember the last selected tab.
- Fixed: Occasional exception when dropping an image on a topic.
- Fixed: Exception when trying to print to a printer where the driver does not support the PageImageableArea. (happened mostly on XP)
- Fixed: Exception when trying to access the printer properties of some network printers.
- Fixed: Error message when grafting a callout or floating topic.
- Fixed: Error when downloading media library manifest if proxy server requires authentication.
- Fixed: NovaMind 4 files generated by iBlueSky fail to import.
- Fixed: Some manually created NovaMind 5 files fail when upgrading.

5.2.2	10.08.2010 (not released as an update)
- Fixed: 'Image format unrecognized' exception when starting NovaMind on some XP machines.
- Improved: The installer will now point to a troubleshooting page in case it fails to install the .NET Framework.

5.2.1	05.08.2010
- Fixed: In some circumstances files which were created prior to 5.2.0 do not open correctly.
- Fixed: On some Windows XP machines and under virtualization the initial mind map doesn't show correctly.
- Fixed: On some Windows XP machines and under virtualization opening a second window results in an error.

5.2.0	04.08.2010
- New: Easy-to-use and flexible link lines - the way they should be.
- New: NovaMind localized into German.
- New: NovaMind localized into Spanish.
- New: Button on the ribbon to expand/collapse the ribbon.
- New: NovaMind 4 import supports link lines.
- New: XMind import supports link lines.
- Improved: Office 2010 ribbon style.
- Improved: The Welcome panel and side panels will now slide in and out of view.
- Improved: Better names and order for the tabs in the media library.
- Improved: Added icons to the tabs in the media library.
- Improved: Removed the Default Fill from the shape fill drop down.
- Improved: XMind import now correctly deals with Floating Topics.
- Fixed: Rare error when importing a NovaMind 4 file.
- Fixed: Hyperlinks in topic text or topic notes stop working after reloading a file.
- Fixed: Error when selecting a printer in the print dialog which does not provide a default printing ticket.
- Fixed: Copy/Paste maps or topics across maps results in invalid duplicates.
- Fixed: Cannot undo moving of a shape.
- Fixed: When undoing moving of a callout the layout does not refresh.
Pro:
- New: MindManager import supports link lines.
- New: MindManager export supports link lines.
- Fixed: In some circumstances boundaries were not correctly imported from MindManager.
- Fixed: In some circumstances callouts were imported as normal topics from MindManager.
- Fixed: Cannot attach a file with a foreign characters in the file name.

5.1.2	01.07.2010 (not released as an update)
- Fixed: The new installer does not do a per-machine installation.
- Fixed: Rare error when importing a NovaMind 4 file which contains invalid image entries.
- Fixed: Error after pasting an image inside the text of a topic.
- Fixed: Typo in Welcome Mind Map.
- Fixed: Button on ErrorReporting/TextDialog was not aligned to the bottom of the window.

5.1.1	29.06.2010
- Fixed: In some circumstances files which were created prior to 5.1.0 do not open.
- Fixed: Exception when holding down the shift key while pasting (via the ribbon) a topic when the target topic doesn't have any sub-topics.

5.1.0	25.06.2010
- New: New ability to cause sub-topics to inherit fill, outline and shape settings from their parent.
- New: Ability to add a map background.
- New: Support for background images (textures) on the map and on all map elements.
- New: Update to the media library is available delivering over 70 high quality background images and additional adornments and images (smiley's, balloons, rss icon).
- New: Added Map context menu to easily access the Map Background panel.
- New: NovaMind localized into Simplified Chinese.
- New: Enabled printing in Viewer mode.
- New: Added print map background option.
- New: NovaMind now uses the newest Microsoft .NET Framework (4.0).
- New: Completely reworked installer.
- New: Installer will now add a link on the Desktop.
- Improved: Better automatic text color algorithm.
- Improved: When the media library has the focus, the ribbon is no longer disabled.
- Improved: NovaMind will now remember if the main window was maximized previously and will restore the window state.
- Improved: NovaMind will now start the window maximized when first started.
- Improved: Most icons now look better.
- Improved: The title bar will now show 'Trial' when running in Trial mode.
- Improved: Better text clarity - especially with small fonts.
- Improved: Paper selection combo box no longer shows the exact paper measurements making selection easier.
- Improved: Updated text on the message box that is shown when deleting a map.
- Improved: Better application responsiveness when first starting NovaMind.
- Fixed: Resetting the Fill style of a topic does not reset the glassy effect.
- Fixed: Some network printers do not show up in the print window.
- Fixed: In some situations custom changes to a topic automatically affect it's children and or the boundary.
- Fixed: Error when setting the text background color.
- Fixed: Error when setting the font color to Automatic.
- Fixed: Children Coloring Mode is enabled even if there is no selection.
- Fixed: Ribbon is showing customize menu even though customization is not supported.
- Fixed: Clicking in the top left of the window opened the window context menu instead of opening the application menu.
- Fixed: In some situations documents with embedded hyperlinks do not export correctly.
- Fixed: Rare error when performing layout and deleted connectors have not been removed from the map yet.
- Fixed: Rare error when selecting a printer.
- Fixed: Insert Attachment and Hyperlink commands are enabled when only a boundary or shape is selected.
- Fixed: The Minimize, Maximize and Close button in the top right of the window are sometimes not correctly displayed.
- Fixed: Exit button the application menu only closes the active window.
- Fixed: The very first time an image is dragged from outside the application the drag and drop doesn't work properly.
Pro:
- Fixed: Pressing the Return key when in the prefix or suffix text box in the outline numbering setting, adds a topic to the map.
Platinum:
- Improved: Much faster Project imports.
- Improved: MS Project import will now use the file name as the root topic if necessary.

5.0.3	19.05.2010
- Improved: Automatic Text Coloring will now correctly deal with transparent colors and nested boundaries.
- Improved: Styles in the Shape Styles gallery will now set the font color to Automatic.
- Improved: The licensed edition (Express, Pro or Platinum) is now shown in the title bar.
- Fixed: Sometimes a new topic has an incorrect size.
- Fixed: When unlocking the width or height the topic sometimes leaves an incorrect gap.
- Fixed: When using Right To Left languages the topics only grow vertically.
- Fixed: Automatic Text Coloring does not work on root topic.
- Fixed: Exporting to PNG always exports the first mind map.
- Fixed: Imports & Exports do not work properly on some non-English operating systems.
- Fixed: Copy/pasting images from external sources on topics and notes does not work.
- Fixed: Cannot set layout direction to right on callout's of topics which are on the left side.
- Fixed: OPML exports attached shapes as empty entries.
- Fixed: Plugin API doesn't raise the AttachedProperty changed event.
Pro & Platinum:
- New: Advanced Children Numbering giving you full control over the prefix, numbering format, suffix and the separator used for each level.
- Improved: The Powerpoint export will now put more items on each slide.
- Fixed: In some situations PowerPoint exports shows errors when opening.
- Fixed: Exported mind manager maps do not open in MindManager.
- Fixed: Saving files after editing attachments from within NovaMind corrupts the file causing a 'resource hash doesn't match' error when opening it again.

5.0.2	05.05.2010
- Improved: Opening a document no longer closes the current document.
- Improved: Far better performance when importing documents.
- Improved: Better performance when working with larger maps and rainbow coloring.
- Fixed: Creating nested boundaries causes some files to not open correctly.
- Fixed: When copy/pasting topics the order is not preserved.
- Fixed: In case the media library download fails the application quits.
- Fixed: Imports & exports don't work properly if the input or output file have special characters in the file path.
- Fixed: Exporting to Word doesn't export the topic notes correctly.
- Fixed: Some images are not imported correctly when importing some NovaMind 4 files which were created with the Mac version.
Pro:
- Fixed: MindManager exporter does not work.
- Fixed: Cannot drag and drop map tabs.
Platinum:
- Fixed: Export to Project does not work.
- Fixed: Occasional Invalid Format Exception when entering values in the project reports.

5.0.1	28.04.2010
- New: NovaMind now shows the file name in the title bar along with a * if there are unsaved changes.
- New: Added a 'Restart Numbering' option to Outline Numbering.
- New: Added the ability to zoom in and out of the mind map using Ctrl + and Ctrl -.
- Improved: Shape Fill and Shape Outline are now labelled Fill and Outline reducing the size of the Format & Home ribbon.
- Improved: Renamed Child Numbering ribbon bar to Numbering to save space.
- Improved: Improved and more flexible drawing for rounded and chamfered rectangles.
- Improved: Increased the maximum value for the corner amount for rounded and chamfered rectangles.
- Improved: Better performance when exporting mind maps that have project management data.
- Fixed: When closing the outline view and then opening a different document the outline view is empty.
- Fixed: Cannot export to Word in the Express edition.
- Fixed: Assigning newly created resources does not cause them to show on the mind map.
- Fixed: The text box on the project management panel allows entering of incorrect values.
- Fixed: Error when trying to reset the layout style, children coloring mode style or connection style.
- Fixed: Exception when exporting some mind maps.
- Fixed: Deactivated Find & Replace short cuts as the feature is not yet available.
- Fixed: When clicking at the far left of an image in the media library and then quickly dragging the wrong image is dragged.
- Fixed: Occasional exception when applying the rainbow theme.
- Fixed: Some NovaMind 4 maps containing images don't import.
- Fixed: In some cases text from Mind Manager topics don't get imported.
Pro & Platinum:
- New: You can now double click a mind map tab to rename your mind map.
- Fixed: Long root topic text creates huge mind map tabs.
- Fixed: Occasional exception when copying/pasting maps between documents.
- Fixed: The Task Information side panel was too high to be shown properly on smaller screens.

5.0.0	22.04.2010
- New: Initial release of NovaMind 5.